<?php
	require_once("cabecera.inc.php");
	require_once("db.inc.php");

	// Lectura de parmetros
	function post($nombre) {
		return isset($_POST[$nombre]) ? $_POST[$nombre] : "";
	}

	
	
	// Determinar si es cuenta bsica o de administracin
	print "<h1>Cuentas ";
	if (isset($_GET["admin"]) and $_GET["admin"]==1) {
		$admin = 1;
		print "de Administraci&oacute;n</h1>";
	} else {
		$admin = 0;
		print "b&aacute;sicas</h1>";
	}

	// Determinar accin a realizar
	$orden = isset($_GET["orden"]) ? $_GET["orden"] : "menu";
	
	// Realizar accin
	switch($orden){
		case "menu":
			menu();
			break;
		case "borra":
			borra();
			break;
		case "edita":
			edita();
			break;
		default:
			print "Orden incorrecta";
	}

	// ACCIONES
	
	// Mostrar men
	function menu() {
		global $admin;

		// Buscar las cuentas existentes
		$resultado = consulta(
			"select id, admin, nombre, descr from usuarios where admin = " . $admin
		);

		// Comprobar si hay cuentas
		$cuenta = numero_de_filas($resultado);
		if ($cuenta == 0) {
			print "NO HAY CUENTAS QUE ADMINISTRAR";
		} else {
			// Mostrar opciones
			
			print "<table border='1'>";
			print "<tr><td>NOMBRE</td><td>DESCRIPCI&Oacute;N</td><td colspan='2'>ACCIONES</td></tr>";
			
			for ($i=0;$i<$cuenta;$i++) {
					// Obtener una fila del resultado
					$fila = fila($resultado, $i);
					
					// ID de la fila actual
					$id = $fila["id"];
					
					// Mostrar opciones
					print "<tr>";
					print "<td>" . $fila["nombre"] . "</td>";
					print "<td>" . $fila["descr"] . "</td>";
					print "<td><a href='adm_gestion.php?orden=edita&admin=$admin&id=$id'>Editar</a></td>";
					print "<td><a href='adm_gestion.php?orden=borra&admin=$admin&id=$id'>Borrar</a></td>";
					print "</tr>";
			}
		}
		print "</table>";
		
		// Botn para aadir
		print "<br><a href='adm_gestion.php?orden=edita&admin=$admin'>Nuevo<a>";
	}
	
	// Borrar cuenta
	function borra() {
		if (! isset($_GET["id"])) {
			print "ID incorrecto";
			
		} else {
			consulta(
				"delete from usuarios where id = " . $_GET["id"]
			);
		}
		menu();
	}
	
	// Altas y ediciones
	function edita() {
		global $admin;
		
		// Determinar si se rellen el formulario
		if (isset($_POST["nombre"])) {
			// Leer datos del formulario
			$id = post("id");
			if ($id=="") { // Corregir
				$id = -1;
			}

			$nombre = post("nombre");
			$pwd = post("pwd");
			$descr = post("descr");
			
			
			// Determinar si es alta o edicin
			if ($id > 0) { // Editar
				consulta(
					"update usuarios set " .
					"admin = $admin, " .
					"nombre = '$nombre', " .
					"pwd = '$pwd', " .
					"descr = '$descr' " .
					"where id = $id"
				);
			} else { // Alta
				consulta(
					"insert into usuarios (admin, nombre, pwd, descr) " .
					"values ($admin,'$nombre','$pwd','$descr')"
				);
			}
			
			menu();
		} else { // Si no se recibieron datos, mostrar formulario
			// Ver datos actuales del usuario a modificar, dependiendo de si es alta o edicin
			if (isset($_GET["id"])) { // Editar
				$resultado = consulta(
					"select * from usuarios where id = $_GET[id]"
				);
				
				// Comprobar que el ID es correcto
				if (numero_de_filas($resultado) > 0) {
					// Obtener datos actuales
					$id = $_GET["id"];
					$fila = fila($resultado, 0);
					$nombre = $fila["nombre"];
					$pwd = $fila["pwd"];
					$descr = $fila["descr"];						
				} else {
					print "ID incorrecto";
					menu();
					return;
				}	
			} else { // En caso de alta, no hay datos previos
				$id= -1;
				$nombre = "";
				$pwd = "";
				$descr = "";
			}
			
			print "
				<form method='POST'>
					<input type='hidden' id='admin' name='admin' value='$admin'>
					<input type='hidden' id='id' name='id' value='$id'>
					
					<table>
						<tr><td>NOMBRE:</td><td><input type='text' id='nombre' name='nombre' value='$nombre'></td></tr>
						<tr><td>PASSWORD:</td><td><input type='text' id='pwd' name='pwd' value='$pwd'></td></tr>
						<tr><td>DESCRIPCI&Oacute;N:</td><td><input type='text' id='descr' name='descr' value='$descr'></td></tr>
					</table>
					
					<input type='submit' value='Enviar'>
				</form>
			";
		}
	}
	
?>