<?php
/**
 * Configuration file for CSRF Protector
 * Necessary configurations are (library would throw exception otherwise)
 * ---- logDirectory
 * ---- failedAuthAction
 * ---- jsPath
 * ---- jsUrl
 * ---- tokenLength
 */
return array(
	"CSRFP_TOKEN" => "",
	"logDirectory" => "../log",
	"failedAuthAction" => array(
		"GET" => 0,
		"POST" => 3),
	"errorRedirectionPage" => "",
	"customErrorMessage" => "<h1>404 - Not Found</h1>El recurso solicitado no existe",
	"jsPath" => "../js/csrfprotector.js",
	"jsUrl" => "http://webserver.example.com/aplicacion/csrfp/js/csrfprotector.js",
	"tokenLength" => 10,
	"disabledJavascriptMessage" => "Por favor, active JavaScript.",
	 "verifyGetFor" => array()
);
?>